echo off

echo.
echo *******************************************************************************************
echo Generating OKB service clients
echo.

REM If app.config should be generated, use option "/config:..\app.config" instead of "/noConfig".

svcutil.exe ^
  http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdministrationService/mex ^
  http://localhost:8732/Design_Time_Addresses/OKB-3.3/QueryService/mex ^
  /out:OKBServiceClients ^
  /namespace:*,HeuristicLab.Clients.OKB ^
  /collectionType:System.Collections.Generic.List`1 ^
  /targetClientVersion:Version35 ^
  /enableDataBinding ^
  /noConfig

echo.
echo ---------------------------------------------------------------------------------------
echo !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!!
echo.
echo Following modifications have to be done manually in generated data contracts:
echo  * Remove method "protected void RaisePropertyChanged(string propertyName)" in OKBItem
echo.
echo !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!! ATTENTION !!!
echo ---------------------------------------------------------------------------------------
echo.
echo Generation of OKB service clients finished.
echo *******************************************************************************************
echo.
echo.
echo *******************************************************************************************
echo Generating AuthenticationService client
echo.

REM If app.config should be generated, use options "/config:..\app.config" and "/mergeConfig" instead of "/noConfig".

svcutil.exe ^
  http://localhost:8732/Design_Time_Addresses/OKB-3.3/AuthenticationService/mex ^
  /out:AuthenticationServiceClient ^
  /namespace:*,HeuristicLab.Clients.OKB ^
  /collectionType:System.Collections.Generic.List`1 ^
  /targetClientVersion:Version35 ^
  /enableDataBinding ^
  /noConfig

echo.
echo Generation of AuthenticationService client finished.
echo *******************************************************************************************
echo.

pause
